<?xml version="1.0" encoding="UTF-8"?>
<odoo>
    <data>
<!-- 刀具物料tree view -->
        <record id="view_cutting_tool_material_tree" model="ir.ui.view">
            <field name="name">sf.cutting.tool.material.tree</field>
            <field name="model">sf.cutting.tool.material</field>
            <field name="arch" type="xml">
                <tree string="刀具物料">
                    <field name="code"/>
                    <field name="name"/>
                    <field name="remark"/>
                </tree>
            </field>
        </record>
<!--         刀具物料form view -->
        <record id="view_cutting_tool_material_form" model="ir.ui.view">
            <field name="name">sf.cutting.tool.material.form</field>
            <field name="model">sf.cutting.tool.material</field>
            <field name="arch" type="xml">
                <form string="刀具物料">
                    <sheet>
                        <group col='1'>
                            <group string='基本信息'>
                                <group>
                                <field name="code"/>
                                <field name="name"/>
                                </group>
                                <group>
                                    <field name="remark"/>
                                </group>
                            </group>
                        </group>
                    </sheet>
                </form>
            </field>
        </record>
        <!--         功能刀具tree view -->
        <record id="view_functional_cutting_tool_tree" model="ir.ui.view">
            <field name="name">sf.functional.cutting.tool.tree</field>
            <field name="model">sf.functional.cutting.tool</field>
            <field name="arch" type="xml">
                <tree string="功能刀具">
                    <field name="code"/>
                    <field name="name"/>
                    <field name="functional_model_number"/>
                    <field name="image" widget='image'/>

                </tree>
            </field>
        </record>
<!--         form view -->
        <record id="view_functional_cutting_tool_form" model="ir.ui.view">
            <field name="name">sf.functional.cutting.tool.form</field>
            <field name="model">sf.functional.cutting.tool</field>
            <field name="arch" type="xml">
                <form string="功能刀具">
                    <sheet>
                        <group col='1'>
                            <group string='基本信息'>
                                <group>
                                <field name="code"/>
                                <field name="name"/>
                                <field name="functional_model_number"/>
                                <field name="integral_model_number"/>
                                <field name="blade_model_number"/>
                                <field name="cutterbar_model_number"/>
                                <field name="cutterpad_model_number"/>
                                <field name="handle_model_number"/>
                                <field name="chuck_model_number"/>
                                </group>
                                <group>
                                    <field name="image" nolabel="1" widget="image"/>
                                </group>

                            </group>
                                <group string='参数信息'>
                                    <group>
                                        <field name="diameter"/>
                                        <field name="tool_grade"/>
                                        <field name="machining_accuracy"/>
                                        <field name="tool_length"/>
                                        <field name="blade_number"/>
                                    </group>
                                    <group>
                                        <field name="integral_blade_length"/>
                                        <field name="effective_blade_length"/>
                                        <field name="max_life"/>
                                        <field name="is_standard"/>
                                    </group>
                                </group>
                                <group string='其他信息'>
                                    <group>
                                        <field name="applicable_range"/>

                                    </group>
                                </group>
                        </group>
                    </sheet>
                </form>
            </field>
        </record>

        <!-- 整体式刀具tree view -->
        <record id="view_integral_cutting_tool_tree" model="ir.ui.view">
            <field name="name">sf.integral.cutting.tool.tree</field>
            <field name="model">sf.integral.cutting.tool</field>
            <field name="arch" type="xml">
                <tree string="整体式刀具">
                    <field name="code"/>
                    <field name="name"/>
                    <field name="integral_model_number"/>
                    <field name="brand"/>
                    <field name="image" widget='image'/>

                </tree>
            </field>
        </record>

        <!-- form view -->
        <record id="view_integral_cutting_tool_form" model="ir.ui.view">
            <field name="name">sf.integral.cutting.tool.form</field>
            <field name="model">sf.integral.cutting.tool</field>
            <field name="arch" type="xml">
                <form string="整体式刀具">
                    <sheet>
                        <group col='1'>
                            <group string='基本信息'>
                                <group>
                                <field name="code"/>
                                <field name="name"/>
                                <field name="integral_model_number"/>
                                <field name="brand"/>
                                <field name="cutting_tool_material"/>
                                </group>
                                <group>
                                    <field name="image" nolabel="1" widget="image"/>
                                </group>

                            </group>
                                <group string='参数信息'>
                                <group>
                                <field name="total_length"/>
                                <field name="shank_length"/>
                                <field name="blade_length"/>
                                <field name="diameter"/>
                                <field name="blade_number"/>
                                <field name="chuck_model" widget="many2many_tags" options="{'no_create': True, 'no_quick_create': True}"/>

                                </group>
                                <group>
                                <field name="front_angle"/>
                                <field name="rear_angle"/>
                                <field name="main_included_angle"/>
                                <field name="material_model"/>
                                </group>
                            </group>
                            <group string='其他信息'>
                                <group>
                                <field name="nut"/>
                                <field name="scope"/>

                                </group>

                            </group>

                        </group>
                    </sheet>
                </form>
            </field>
        </record>
<!--         刀片tree -->
        <record id="view_blade_tree" model="ir.ui.view">
            <field name="name">sf.blade.tree</field>
            <field name="model">sf.blade</field>
            <field name="arch" type="xml">
                <tree string="刀片">
                    <field name="code"/>
                    <field name="name"/>
                    <field name="blade_model_number"/>
                    <field name="image" widget='image'/>

                </tree>
            </field>
        </record>
<!--         刀片form -->
        <record id="view_blade_form" model="ir.ui.view">
            <field name="name">sf.blade.form</field>
            <field name="model">sf.blade</field>
            <field name="arch" type="xml">
                <form string="刀片">
                    <sheet>
                        <group col='1'>
                            <group string='基本信息'>
                                <group>
                                <field name="code"/>
                                <field name="name"/>
                                <field name="blade_model_number"/>
                                <field name="brand" options="{'no_create': True, 'no_quick_create': True}"/>
                                <field name="cutting_tool_material"/>
                                </group>
                                <group>
                                    <field name="image" nolabel="1" widget="image"/>
                                </group>

                            </group>
                                <group string='参数信息'>
                                <group>
                                <field name="length"/>
                                <field name="width"/>
                                <field name="height"/>
                                <field name="top_angle"/>
                                <field name="front_angle"/>
                                <field name="cutter_bar" widget="many2many_tags" options="{'no_create': True, 'no_quick_create': True}"/>
                                <field name="cutter_pad" widget="many2many_tags" options="{'no_create': True, 'no_quick_create': True}"/>
                                </group>
                                <group>
                                <field name="main_included_angle"/>
                                <field name="r_angle"/>
                                <field name="material_model"/>
                                <field name="hardness"/>
                                <field name="radius"/>
                                <field name="rear_angle"/>
                                </group>
                            </group>
                            <group string='其他信息'>
                                <group>
                                <field name="nut"/>
                                </group>
                            </group>
                        </group>
                    </sheet>
                </form>
            </field>
        </record>
<!--         刀杆tree -->
        <record id="view_cutter_bar_tree" model="ir.ui.view">
            <field name="name">sf.cutter.bar.tree</field>
            <field name="model">sf.cutter.bar</field>
            <field name="arch" type="xml">
                <tree string="刀杆">
                    <field name="code"/>
                    <field name="name"/>
                    <field name="cutter_bar_model_number"/>
                    <field name="image" widget='image'/>

                </tree>
            </field>
        </record>
<!--         刀杆form -->
        <record id="view_cutter_bar_form" model="ir.ui.view">
            <field name="name">sf.cutter.bar.form</field>
            <field name="model">sf.cutter.bar</field>
            <field name="arch" type="xml">
                <form string="刀杆">
                    <sheet>
                        <group col='1'>
                            <group string='基本信息'>
                                <group>
                                <field name="code"/>
                                <field name="name"/>
                                <field name="cutter_bar_model_number"/>
                                <field name="brand"/>
                                <field name="cutting_tool_material"/>
                                <field name="blade" widget="many2many_tags" options="{'no_create': True, 'no_quick_create': True}"/>

                                </group>
                                <group>
                                    <field name="image" nolabel="1" widget="image"/>
                                </group>

                            </group>
                                <group string='参数信息'>
                                <group>
                                <field name="c_diameter"/>
                                <field name="total_length"/>
                                <field name="material_model"/>
                                <field name="blade_number"/>
                                </group>
                                <group>
                                <field name="d_diameter"/>
                                <field name="radius"/>
                                <field name="accuracy"/>
                                <field name="hardness"/>

                                </group>
                            </group>
                            <group string='其他信息'>
                                <group>
                                <field name="wrench"/>
                                <field name="screw"/>
                                </group>
                                <group>
                                <field name="scope"/>

                                </group>
                            </group>
                        </group>
                    </sheet>
                </form>
            </field>
        </record>

<!--         刀盘tree -->
        <record id="view_cutter_pad_tree" model="ir.ui.view">
            <field name="name">sf.cutter.pad.tree</field>
            <field name="model">sf.cutter.pad</field>
            <field name="arch" type="xml">
                <tree string="刀盘">
                    <field name="code"/>
                    <field name="name"/>
                    <field name="cutter_pad_model_number"/>
                    <field name="image" widget='image'/>

                </tree>
            </field>
        </record>
<!--         刀盘form -->
        <record id="view_cutter_pad_form" model="ir.ui.view">
            <field name="name">sf.cutter.pad.form</field>
            <field name="model">sf.cutter.pad</field>
            <field name="arch" type="xml">
                <form string="刀盘">
                    <sheet>
                        <group col='1'>
                            <group string='基本信息'>
                                <group>
                                <field name="code"/>
                                <field name="name"/>
                                <field name="cutter_pad_model_number"/>
                                <field name="brand"/>
                                <field name="cutting_tool_material"/>
                                <field name="blade" widget="many2many_tags" options="{'no_create': True, 'no_quick_create': True}"/>

                                </group>
                                <group>
                                    <field name="image" nolabel="1" widget="image"/>
                                </group>

                            </group>
                                <group string='参数信息'>
                                <group>
                                <field name="c_diameter"/>
                                <field name="total_length"/>
                                <field name="material_model"/>
                                <field name="blade_number"/>
                                </group>
                                <group>
                                <field name="d_diameter"/>
                                <field name="radius"/>
                                <field name="accuracy"/>
                                <field name="hardness"/>
                                </group>
                            </group>
                            <group string='其他信息'>
                                <group>
                                <field name="wrench"/>
                                <field name="screw"/>
                                </group>
                                <group>
                                <field name="scope"/>
                                </group>
                            </group>
                        </group>
                    </sheet>
                </form>
            </field>
        </record>

<!--         刀柄tree -->
        <record id="view_cutter_handle_tree" model="ir.ui.view">
            <field name="name">sf.cutter.handle.tree</field>
            <field name="model">sf.handle</field>
            <field name="arch" type="xml">
                <tree string="刀柄">
                    <field name="code"/>
                    <field name="name"/>
                    <field name="handle_model_number"/>
                    <field name="image" widget='image'/>

                </tree>
            </field>
        </record>
<!--         刀柄form -->
        <record id="view_cutter_handle_form" model="ir.ui.view">
            <field name="name">sf.cutter.handle.form</field>
            <field name="model">sf.handle</field>
            <field name="arch" type="xml">
                <form string="刀柄">
                    <sheet>
                        <group col='1'>
                            <group string='基本信息'>
                                <group>
                                <field name="code"/>
                                <field name="name"/>
                                <field name="handle_model_number"/>
                                <field name="brand"/>
                                <field name="cutting_tool_material"/>
                                <field name="chuck_model" widget="many2many_tags" options="{'no_create': True, 'no_quick_create': True}"/>

                                </group>
                                <group>
                                    <field name="image" nolabel="1" widget="image"/>
                                </group>

                            </group>
                                <group string='参数信息'>
                                <group>
                                <field name="length"/>
                                <field name="length1"/>
                                <field name="diameter1"/>
                                <field name="weight"/>
                                <field name="material_model"/>
                                </group>
                                <group>
                                <field name="body_accuracy"/>
                                <field name="clamping_range"/>
                                <field name="detection_accuracy"/>
                                <field name="detection_hardness"/>
                                <field name="standard_speed"/>
                                </group>
                            </group>
                            <group string='其他信息'>
                                <group>
                                <field name="nut"/>
                                </group>
<!--                                 <group> -->
<!--                                 <field name="scope"/> -->
<!--                                 <field name="blade"/> -->
<!--                                 </group> -->
                            </group>
                        </group>
                    </sheet>
                </form>
            </field>
        </record>

<!--         夹头tree -->
        <record id="view_cutter_chuck_tree" model="ir.ui.view">
            <field name="name">sf.cutter.chuck.tree</field>
            <field name="model">sf.chuck</field>
            <field name="arch" type="xml">
                <tree string="夹头">
                    <field name="code"/>
                    <field name="name"/>
                    <field name="chuck_model_number"/>
                    <field name="image" widget='image'/>

                </tree>
            </field>
        </record>
<!--         夹头form -->
        <record id="view_cutter_chuck_form" model="ir.ui.view">
            <field name="name">sf.cutter.chuck.form</field>
            <field name="model">sf.chuck</field>
            <field name="arch" type="xml">
                <form string="夹头">
                    <sheet>
                        <group col='1'>
                            <group string='基本信息'>
                                <group>
                                <field name="code"/>
                                <field name="name"/>
                                <field name="chuck_model_number"/>
                                <field name="brand"/>
                                <field name="cutting_tool_material"/>
                                <field name="handle_model" widget="many2many_tags" options="{'no_create': True, 'no_quick_create': True}"/>

                                </group>
                                <group>
                                    <field name="image" nolabel="1" widget="image"/>
                                </group>

                            </group>
                                <group string='参数信息'>
                                <group>
                                <field name="accuracy"/>
                                <field name="diameter"/>
                                <field name="inner_diameter"/>
                                <field name="height"/>
                                </group>
                                <group>
                                <field name="material_model"/>
                                <field name="clamping_range"/>
                                <field name="feature"/>
                                </group>
                            </group>
                            <group string='其他信息'>
                                <group>
                                <field name="nut"/>
                                </group>
<!--                                 <group> -->
<!--                                 <field name="scope"/> -->
<!--                                 <field name="blade"/> -->
<!--                                 </group> -->
                            </group>
                        </group>
                    </sheet>
                </form>
            </field>
        </record>

<!--         功能刀具类型tree -->
        <record id="view_cutter_function_tree" model="ir.ui.view">
            <field name="name">sf.cutter.function.tree</field>
            <field name="model">sf.functional.cutting.tool.model</field>
            <field name="arch" type="xml">
                <tree string="功能刀具类型">
                    <field name="name"/>
                    <field name="code"/>
                    <field name="remark"/>

                </tree>
            </field>
        </record>
<!--         功能刀具类型form -->
        <record id="view_cutter_function_form" model="ir.ui.view">
            <field name="name">sf.cutter.function.form</field>
            <field name="model">sf.functional.cutting.tool.model</field>
            <field name="arch" type="xml">
                <form string="功能刀具类型">
                    <sheet>
                        <group string="功能刀具类型">
                        <group>
                            <field name="code"/>
                            <field name="name"/>
                        </group>
                        <group>
                            <field name="remark"/>
                        </group>
                        </group>
                    </sheet>
                </form>
            </field>
        </record>
<!--         整体式刀具类型tree -->
        <record id="view_integral_cutting_tool_model_tree" model="ir.ui.view">
            <field name="name">sf.integral.cutting.tool.model.tree</field>
            <field name="model">sf.integral.cutting.tool.model</field>
            <field name="arch" type="xml">
                <tree string="整体式刀具类型">
                    <field name="name"/>
                    <field name="code"/>
                    <field name="remark"/>

                </tree>
            </field>
        </record>
<!--         整体式刀具类型form -->
        <record id="view_integral_cutting_tool_model_form" model="ir.ui.view">
            <field name="name">sf.integral.cutting.tool.model.form</field>
            <field name="model">sf.integral.cutting.tool.model</field>
            <field name="arch" type="xml">
                <form string="整体式刀具类型">
                    <sheet>
                        <group string="整体式刀具类型">
                        <group>
                            <field name="code"/>
                            <field name="name"/>
                            <field name="cutting_tool_material"/>
                        </group>
                        <group>
                            <field name="remark"/>
                        </group>
                        </group>
                    </sheet>
                </form>
            </field>
        </record>
<!--         刀片类型tree -->
        <record id="view_blade_model_tree" model="ir.ui.view">
            <field name="name">sf.blade.model.tree</field>
            <field name="model">sf.blade.model</field>
            <field name="arch" type="xml">
                <tree string="刀片类型">
                    <field name="name"/>
                    <field name="code"/>
                    <field name="remark"/>

                </tree>
            </field>
        </record>
<!--         刀片类型form -->
        <record id="view_blade_model_form" model="ir.ui.view">
            <field name="name">sf.blade.model.form</field>
            <field name="model">sf.blade.model</field>
            <field name="arch" type="xml">
                <form string="刀片类型">
                    <sheet>
                        <group string="刀片类型">
                        <group>
                            <field name="code"/>
                            <field name="name"/>
                            <field name="cutting_tool_material"/>
                        </group>
                        <group>
                            <field name="remark"/>
                        </group>
                        </group>
                    </sheet>
                </form>
            </field>
        </record>
<!--         刀杆类型tree -->
        <record id="view_cutter_bar_model_tree" model="ir.ui.view">
            <field name="name">sf.cutter.bar.model.tree</field>
            <field name="model">sf.cutter.bar.model</field>
            <field name="arch" type="xml">
                <tree string="刀杆类型">
                    <field name="code"/>
                    <field name="name"/>
                    <field name="remark"/>

                </tree>
            </field>
        </record>
<!--         刀杆类型form -->
        <record id="view_cutter_bar_model_form" model="ir.ui.view">
            <field name="name">sf.cutter.bar.model.form</field>
            <field name="model">sf.cutter.bar.model</field>
            <field name="arch" type="xml">
                <form string="刀杆类型">
                    <sheet>
                        <group string="刀杆类型">
                        <group>
                            <field name="code"/>
                            <field name="name"/>
                            <field name="cutting_tool_material"/>
                        </group>
                        <group>
                            <field name="remark"/>
                        </group>
                        </group>
                    </sheet>
                </form>
            </field>
        </record>
<!--         刀盘类型tree -->
        <record id="view_cutter_pad_model_tree" model="ir.ui.view">
            <field name="name">sf.cutter.pad.model.tree</field>
            <field name="model">sf.cutter.pad.model</field>
            <field name="arch" type="xml">
                <tree string="刀盘类型">
                    <field name="code"/>
                    <field name="name"/>
                    <field name="remark"/>

                </tree>
            </field>
        </record>
<!--         刀盘类型form -->
        <record id="view_cutter_pad_model_form" model="ir.ui.view">
            <field name="name">sf.cutter.pad.model.form</field>
            <field name="model">sf.cutter.pad.model</field>
            <field name="arch" type="xml">
                <form string="刀盘类型">
                    <sheet>
                        <group string="刀盘类型">
                        <group>
                            <field name="code"/>
                            <field name="name"/>
                            <field name="cutting_tool_material"/>
                        </group>
                        <group>
                            <field name="remark"/>
                        </group>
                        </group>
                    </sheet>
                </form>
            </field>
        </record>

<!--         刀柄类型tree -->
        <record id="view_handle_model_tree" model="ir.ui.view">
            <field name="name">sf.handle.model.tree</field>
            <field name="model">sf.handle.model</field>
            <field name="arch" type="xml">
                <tree string="刀柄类型">
                    <field name="code"/>
                    <field name="name"/>
                    <field name="remark"/>

                </tree>
            </field>
        </record>
<!--         刀柄类型form -->
        <record id="view_handle_model_form" model="ir.ui.view">
            <field name="name">sf.handle.model.form</field>
            <field name="model">sf.handle.model</field>
            <field name="arch" type="xml">
                <form string="刀柄类型">
                    <sheet>
                        <group string="刀柄类型">
                        <group>
                            <field name="code"/>
                            <field name="name"/>
                            <field name="cutting_tool_material"/>
                        </group>
                        <group>
                            <field name="remark"/>
                        </group>
                        </group>
                    </sheet>
                </form>
            </field>
        </record>
<!--         夹头类型tree -->
        <record id="view_chuck_model_tree" model="ir.ui.view">
            <field name="name">sf.chuck.model.tree</field>
            <field name="model">sf.chuck.model</field>
            <field name="arch" type="xml">
                <tree string="夹头类型">
                    <field name="code"/>
                    <field name="name"/>
                    <field name="remark"/>

                </tree>
            </field>
        </record>
<!--         夹头类型form -->
        <record id="view_chuck_model_form" model="ir.ui.view">
            <field name="name">sf.chuck.model.form</field>
            <field name="model">sf.chuck.model</field>
            <field name="arch" type="xml">
                <form string="夹头类型">
                    <sheet>
                        <group string="夹头类型">
                        <group>
                            <field name="code"/>
                            <field name="name"/>
                            <field name="cutting_tool_material"/>
                        </group>
                        <group>
                            <field name="remark"/>
                        </group>
                        </group>
                    </sheet>
                </form>
            </field>
        </record>
<!--         测试tree -->
        <record id="view_test_tree" model="ir.ui.view">
            <field name="name">sf.test.tree</field>
            <field name="model">sf.test</field>
            <field name="arch" type="xml">
                <tree string="测试">
                    <field name="model_number"/>
                </tree>
            </field>
        </record>
<!--         测试form -->
        <record id="view_test_form" model="ir.ui.view">
            <field name="name">sf.test.form</field>
            <field name="model">sf.test</field>
            <field name="arch" type="xml">
                <form string="测试">
                    <sheet>
                        <group string="测试">
                        <group>
                            <field name="cutting_tool_material"/>
                        </group>
                        <group>
                            <field name="hide_integral_model_number" invisible="1"/>
                            <field name="hide_blade_model_number" invisible="1"/>
                            <field name="hide_cutterbar_model_number" invisible="1"/>
                            <field name="hide_cutterpad_model_number" invisible="1"/>
                            <field name="hide_handle_model_number" invisible="1"/>
                            <field name="hide_chuck_model_number" invisible="1"/>
                            <field name="hide_model_number" invisible="1"/>

                            <field name="model_number" attrs="{'invisible': [('hide_model_number', '!=', True)]}"/>
                            <field name="integral_model_number" attrs="{'invisible': [('hide_integral_model_number', '!=', True)]}"/>
                            <field name="blade_model_number" attrs="{'invisible': [('hide_blade_model_number', '!=', True)]}"/>
                            <field name="cutterbar_model_number" attrs="{'invisible': [('hide_cutterbar_model_number', '!=', True)]}"/>
                            <field name="cutterpad_model_number" attrs="{'invisible': [('hide_cutterpad_model_number', '!=', True)]}"/>
                            <field name="handle_model_number" attrs="{'invisible': [('hide_handle_model_number', '!=', True)]}"/>
                            <field name="chuck_model_number" attrs="{'invisible': [('hide_chuck_model_number', '!=', True)]}"/>
                        </group>
                        </group>
                    </sheet>
                </form>
            </field>
        </record>

    </data>
</odoo>
